curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/bills/{bill_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"total_paid": 123,
"due_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"metadata_": {},
"lines": [
{
"description": "<string>",
"number": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"amount": 123,
"id": "<string>",
"bill_id": "<string>",
"metadata_": {}
}
],
"payments": [
{
"bill_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"bill": "<unknown>"
}
]
}
}curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/bills/{bill_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"total_paid": 123,
"due_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"metadata_": {},
"lines": [
{
"description": "<string>",
"number": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"amount": 123,
"id": "<string>",
"bill_id": "<string>",
"metadata_": {}
}
],
"payments": [
{
"bill_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"bill": "<unknown>"
}
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Successful Response
Show child attributes
The ID of the Business that the bill is associated with
The ID of the Vendor that the bill is associated with
The id or number of the bill
255The description of the bill
512The amount of the bill
The amount of the bill that has been paid
The due date of the bill
The date the bill was sent
The status of the bill
open, paid, voided The ID of the bill
The date the bill was voided
The lines of the bill
Show child attributes
The description of the line item
512The id or number of the bill line item
255The ID of the ledger that the line item is associated with
"ldg_WQMDNUHpBThYSNh4AprDBo"
The amount of the line item
The ID of the bill line
The ID of the bill that the line item is associated with
The payments associated with the bill
Show child attributes
The ID of the bill that the payment is associated with
The ID of the transaction that the payment is associated with
The external identifier of the payment
255The date and time the payment was made
The amount of the payment
The ID of the bill payment
The bill that the payment is associated with